> ## Documentation Index
> Fetch the complete documentation index at: https://docs.waffo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# グループの削除

> 商品グループを完全に削除する

商品グループを完全に削除します。グループ内の商品には影響しません。

```
POST /v1/actions/subscription-product-group/delete-group
```

**認証：** API Key

## リクエストボディ

| フィールド | 型      | 必須  | 説明                   |
| ----- | ------ | --- | -------------------- |
| `id`  | string | Yes | グループ ID（UUID フォーマット） |

## リクエスト例

<CodeGroup>
  ```typescript SDK theme={"system"}
  await client.subscriptionProductGroups.delete({
    id: "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a",
  });
  ```

  ```typescript TypeScript (fetch) theme={"system"}
  // Uses callApi() helper from authentication.mdx
  const result = await callApi("POST", "/v1/actions/subscription-product-group/delete-group", {
    id: "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a",
  });
  console.log(result.data);
  ```

  ```java Java theme={"system"}
  // Uses callApi() helper from authentication.mdx
  String body = """
      {"id":"d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a"}""";

  String response = callApi("POST", "/v1/actions/subscription-product-group/delete-group", body);
  System.out.println(response);
  ```

  ```python Python theme={"system"}
  # Uses call_api() helper from authentication.mdx
  result = call_api("POST", "/v1/actions/subscription-product-group/delete-group", {
      "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a",
  })
  print(result["data"])
  ```

  ```go Go theme={"system"}
  // Uses callAPI() helper from authentication.mdx
  body := map[string]interface{}{
      "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a",
  }
  result, err := callAPI("POST", "/v1/actions/subscription-product-group/delete-group", body)
  if err != nil {
      log.Fatal(err)
  }
  fmt.Println(string(result))
  ```

  ```rust Rust theme={"system"}
  // Uses call_api() helper from authentication.mdx
  let body = serde_json::json!({
      "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a"
  });
  let result = call_api("POST", "/v1/actions/subscription-product-group/delete-group", &body).await?;
  println!("{}", result);
  ```

  ```c C theme={"system"}
  /* Uses call_api() helper from authentication.mdx */
  const char *body = "{\"id\":\"d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a\"}";
  char *response = call_api("POST", "/v1/actions/subscription-product-group/delete-group", body);
  printf("%s\n", response);
  free(response);
  ```

  ```cpp C++ theme={"system"}
  // Uses callApi() helper from authentication.mdx
  std::string body = R"({"id":"d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a"})";
  std::string response = callApi("POST", "/v1/actions/subscription-product-group/delete-group", body);
  std::cout << response << std::endl;
  ```

  ```bash cURL theme={"system"}
  MERCHANT_ID="MER_2aUyqjCzEIiEcYMKj7TZtw"
  TIMESTAMP=$(date +%s)
  BODY='{"id":"d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a"}'
  BODY_HASH=$(echo -n "$BODY" | openssl dgst -sha256 -binary | base64 -w 0)
  CANONICAL_REQUEST="POST
  /v1/actions/subscription-product-group/delete-group
  $TIMESTAMP
  $BODY_HASH"

  SIGNATURE=$(echo -n "$CANONICAL_REQUEST" | openssl dgst -sha256 -sign private_key.pem | base64 -w 0)

  curl -X POST "https://api.waffo.ai/v1/actions/subscription-product-group/delete-group" \
    -H "Content-Type: application/json" \
    -H "X-Merchant-Id: $MERCHANT_ID" \
    -H "X-Timestamp: $TIMESTAMP" \
    -H "X-Signature: $SIGNATURE" \
    -d "$BODY"
  ```

  ```bash wget theme={"system"}
  MERCHANT_ID="MER_2aUyqjCzEIiEcYMKj7TZtw"
  TIMESTAMP=$(date +%s)
  BODY='{"id":"d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a"}'
  BODY_HASH=$(echo -n "$BODY" | openssl dgst -sha256 -binary | base64 -w 0)
  CANONICAL_REQUEST="POST
  /v1/actions/subscription-product-group/delete-group
  $TIMESTAMP
  $BODY_HASH"

  SIGNATURE=$(echo -n "$CANONICAL_REQUEST" | openssl dgst -sha256 -sign private_key.pem | base64 -w 0)

  wget -qO- "https://api.waffo.ai/v1/actions/subscription-product-group/delete-group" \
    --header="Content-Type: application/json" \
    --header="X-Merchant-Id: $MERCHANT_ID" \
    --header="X-Timestamp: $TIMESTAMP" \
    --header="X-Signature: $SIGNATURE" \
    --post-data="$BODY"
  ```
</CodeGroup>

<Warning>
  これは**完全な物理削除**です。グループ内の商品は削除されません -- グループ関連付けのみが削除されます。
</Warning>

## エラー

> **リトライポリシー**：4xx は一切リトライしない — リクエストを修正してから再送信。5xx は指数バックオフでリトライ（5s 開始、最大 3 回）。

| ステータス | `errors[0].message`          | 意味                          | 推奨処理                       |
| ----- | ---------------------------- | --------------------------- | -------------------------- |
| 400   | `Missing required field: id` | リクエストボディに `id` が含まれない       | `id` を追加して再送信              |
| 404   | `Group not found`            | グループはすでに削除済みか、自分のストアに属していない | `id` を確認                   |
| 500   | `Internal server error`      | 内部エラーまたは一時的な下流障害            | 指数バックオフでリトライ（5s 開始、最大 3 回） |
